# sZERO

Ethereum mainnet address: \*TBD\*

### Staking

```javascript
function enterStaking(uint256 amount) public;
```

To acquire staked ZERO, acquire ZERO/ETH LP from Uniswap, then send a transaction for \`approve(address,uint256)\` to the sZERO contract in the amount desired. sZERO output is based on LP supplied.

Invoke \`enterStaking(uint256)\` with the amount of LP to exchange for sZERO.

```javascript
function leaveStaking(uint256 amount) public;
```

Exchange sZERO back to the original input LP and receive ZERO tokens accumulated during staking. \`amount\` is in terms of sZERO.

```javascript
function emergencyWithdraw() public;
```

Withdraw LP tokens without caring about rewards. EMERGENCY ONLY.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zerodao.com/dao/dao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
